Menu

## PieceSquadroUI
in package

PieceSquadroUI.php : 19

Class PieceSquadroUI

Fournit des méthodes statiques pour générer l'interface utilisateur du plateau de jeu Squadro. Ces méthodes génèrent le HTML pour :

- Les cases vides, neutres et rouges (pour les vitesses)
- Les pièces de jeu (blanches ou noires) avec des formulaires pour les déplacer
- Le plateau complet de jeu, incluant les lignes de vitesses

### Table of Contents

#### Methods

generatePlateau() : string
  Génère le HTML complet du plateau de jeu.
generationCaseNeutre() : string
  Génère le HTML d'une case neutre.
generationCaseRouge() : string
  Génère le HTML d'une case rouge affichant une valeur.
generationCaseVide() : string
  Génère le HTML d'une case vide.
generationPiece() : string
  Génère le HTML pour une pièce jouable ou non.
genererBoutonBloque() : string
  Génère un bouton désactivé avec un message d'information.

### Methods

#### generatePlateau()

PieceSquadroUI.php : 117

Génère le HTML complet du plateau de jeu.

`public static generatePlateau(PlateauSquadro $plateau, int $joueurActif) : string`

Affiche les lignes de vitesses et le plateau de jeu contenant les pièces.

##### Parameters

$plateau : PlateauSquadro

  Le plateau de jeu.

$joueurActif : int

  La couleur du joueur actif.

##### Return values

string —

Le HTML complet du plateau.

#### generationCaseNeutre()

PieceSquadroUI.php : 37

Génère le HTML d'une case neutre.

`public static generationCaseNeutre() : string`

##### Return values

string —

Le HTML de la case neutre.

#### generationCaseRouge()

PieceSquadroUI.php : 48

Génère le HTML d'une case rouge affichant une valeur.

`public static generationCaseRouge(int $valeur) : string`

##### Parameters

$valeur : int

  La valeur à afficher.

##### Return values

string —

Le HTML de la case rouge.

#### generationCaseVide()

PieceSquadroUI.php : 26

Génère le HTML d'une case vide.

`public static generationCaseVide() : string`

##### Return values

string —

Le HTML de la case vide.

#### generationPiece()

PieceSquadroUI.php : 66

Génère le HTML pour une pièce jouable ou non.

`public static generationPiece(PieceSquadro $piece, int $ligne, int $colonne, bool $estActif, PlateauSquadro $plateau) : string`

Si la pièce appartient au joueur actif et que la case d'arrivée est libre, un formulaire permettant de la sélectionner est généré. Sinon, un bouton désactivé est retourné.

##### Parameters

$piece : PieceSquadro

  La pièce à afficher.

$ligne : int

  La position ligne de la pièce.

$colonne : int

  La position colonne de la pièce.

$estActif : bool

  True si la pièce est jouable par le joueur actif.

$plateau : PlateauSquadro

  Le plateau de jeu actuel.

##### Return values

string —

Le HTML généré pour la pièce.

#### genererBoutonBloque()

PieceSquadroUI.php : 102

Génère un bouton désactivé avec un message d'information.

`private static genererBoutonBloque(string $couleur, string $message) : string`

##### Parameters

$couleur : string

  La classe CSS définissant la couleur du bouton.

$message : string

  Le message d'information (non affiché dans le HTML généré).

##### Return values

string —

Le HTML du bouton désactivé.

## Search results